/* Custom Styles for your Research Group Website */

/* --- Universal Reset --- */
body {
    margin: 0;
    padding: 0;
}

/* --- Full-Width Container Override --- */
.full-width-container {
    padding-left: 0;
    padding-right: 0;
}

/* --- Header Styles --- */
/* Your custom orange color for the navigation bar */
.bg-custom-orange {
    background-color: #d14124;
}

.bg-gray-600 {
  --bs-bg-opacity: 1;
  background-color: rgba(var(--bs-gray-rgb), var(--bs-bg-opacity)) !important;
}

/* Make the research group logo 100px tall */
.research-logo {
    height: 100px;
}
.card-img-top {
    object-fit: cover;
    height: 200px; /* or whatever height you prefer */
}
/* Sidebar Styles */
.sidebar-wrapper {
    position: sticky;
    top: 100px;
    height: calc(100vh - 120px);
    overflow-y: auto;
    flex-basis: 16.666667%; /* 2/12ths of the row, to ensure correct spacing */
    flex-grow: 0;
    flex-shrink: 0;
}

/* Align sidebar content to the left */
.sidebar-wrapper nav ul {
    list-style-type: none;
    padding-left: 0;
}

.sidebar-wrapper nav ul li a {
    white-space: nowrap;
}

/* Open dropdown on hover for desktop devices */
@media (min-width: 992px) {
    .navbar-nav .nav-item.dropdown:hover .dropdown-menu {
        display: block;
        margin-top: 0; /* Prevents a gap that causes the menu to close */
    }
}
